<?
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Db
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

interface Webtatic_Db_Adapter_Interface
{
    public function update($table, array $bind, $where = '', $params = null);
    public function delete($table, $where = '', $params = null);
    public function getTable($table);
    
    public function getConnection();
    public function getConfig();
    public function setProfiler($profiler);
    public function getProfiler();
    public function getStatementClass();
    public function setStatementClass($class);
    public function query($sql, $bind = array());
    public function beginTransaction();
    public function commit();
    public function rollBack();
    public function insert($table, array $bind);
    public function select();
    public function getFetchMode();
    public function fetchAll($sql, $bind = array(), $fetchMode = null);
    public function fetchRow($sql, $bind = array(), $fetchMode = null);
    public function fetchAssoc($sql, $bind = array());
    public function fetchCol($sql, $bind = array());
    public function fetchPairs($sql, $bind = array());
    public function fetchOne($sql, $bind = array());
    public function quote($value, $type = null);
    public function quoteInto($text, $value, $type = null, $count = null);
    public function quoteIdentifier($ident, $auto=false);
    public function quoteColumnAs($ident, $alias, $auto=false);
    public function quoteTableAs($ident, $alias = null, $auto = false);
    public function getQuoteIdentifierSymbol();
    public function lastSequenceId($sequenceName);
    public function nextSequenceId($sequenceName);
    public function foldCase($key);
    
    public function listTables();
    public function describeTable($tableName, $schemaName = null);
    public function isConnected();
    public function closeConnection();
    public function prepare($sql);
    public function lastInsertId($tableName = null, $primaryKey = null);
    public function setFetchMode($mode);
    public function limit($sql, $count, $offset = 0);
    public function supportsParameters($type);
    public function getServerVersion();
}