<?
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Db
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Extender.php';
require_once 'Webtatic/Db/Adapter/ZF.php';

class Webtatic_Db_Factory extends Zend_Db
{

    public static function factory($adapter, $config = array())
    {
        $extender = Webtatic_Extender::get();
        
        if (!$extender->extensionPointExists('Webtatic_Db_Adapter')) {
            $extender->addExtensionPoint('Webtatic_Db_Adapter');
            $extender->addExtensionPath('Webtatic_Db_Adapter', 'Zend/Db/Adapter',
                'Zend_Db_Adapter');
        }
        
        $class = $extender->loadClass('Webtatic_Db_Adapter', $adapter);
        return new Webtatic_Db_Adapter_ZF(new $class($config));
    }
}
