<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Db
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Zend/Db/Table/Select.php';

class Webtatic_Db_Table_Select extends Zend_Db_Table_Select
{

    protected $_calcFoundRows = false;
    protected $_table = null;

    public function setTable($table) {
        $this->_table = $table;
        return parent::setTable($table);
    }

    /**
     * Enter description here...
     *
     * @return Webtatic_Db_Table_Abstract
     */
    public function getTable()
    {
        return $this->_table;
    }

    public function fetchAll($bind = array())
    {
        return $this->getTable()->fetchAll($this, null, null, null, $bind);
    }

    public function fetchRow($bind = array())
    {
        return $this->getTable()->fetchRow($this, null, $bind);
    }

    public function fetchOne($bind = array())
    {
        return $this->getTable()->fetchOne($this, null, $bind);
    }
    
    public function count()
    {
        return $this->getTable()->count($this);
    }

    public function getCalcFoundRows()
    {
        return $this->_calcFoundRows;
    }

    public function setCalcFoundRows($value)
    {
        $this->_calcFoundRows = $value;

        return $this;
    }

    public function __toString()
    {
        $sql = parent::__toString();

        if ($this->_calcFoundRows) {
            $sql = 'SELECT SQL_CALC_FOUND_ROWS' . substr($sql, 6);
        }
        return $sql;
    }
}
?>