<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Element/Interface.php';

abstract class Webtatic_Form_Element_Abstract implements Webtatic_Form_Element_Interface
{
    
    protected $_form;
    
    public function __construct($form)
    {
        $this->_form = $form;
    }
    
    /**
     * @return Webtatic_Form
     */
    public function getForm()
    {
        return $this->_form;
    }
    
    protected function _renderAttributes($view, $attributes)
    {
        $html = array();
        foreach ($attributes AS $name => $value) {
            $html[] = $view->escape($name).'="'.$view->escape($value).'"';
        }
        return ' '.implode(' ', $html);
    }
}
