<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Element/Abstract.php';

class Webtatic_Form_Element_Checkbox extends Webtatic_Form_Element_Abstract
{
    
    /**
     * Enter description here...
     *
     * @param Zend_View $view
     * @param Webtatic_Form_Field_Abstract $field
     * @param Webtatic_Form_Data $data
     * @return unknown
     */
    public function render($view, $field, $filterOptions = null)
    {
        $id = $field->getId();
        $value = $field->getRawValue();
        $attributes = array(
            'type' => 'checkbox',
            'name' => $field->getFullName(),
        ) + $field->getAttributes();
        
        $options = $field->getValueOptions($filterOptions);
        $multiple = $field->getMultiple();
        
        if ($multiple) {
            $attributes['name'] .= '[]';
        }
        
        $output = '<ul class="list">';
        foreach ($options AS $key => $option) {
            $attributesItem = $attributes;
            $attributesItem['id'] = $id . '_' . $key;
            $attributesItem['value'] = $key;
            if ((is_array($value) && in_array($key, $value)) || $key == $value) {
                $attributesItem['checked'] = 'checked';
            }
            $output .= '<li><input '.$this->_renderAttributes($view, $attributesItem).
                " />\n";
            $output .= '<label for="'.$view->escape($attributesItem['id']).'">'.
                $view->escape($option)."</label></li>\n";
        }
        return $output . '</ul>';
        
    }

}
?>