<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Element/Abstract.php';

class Webtatic_Form_Element_Label extends Webtatic_Form_Element_Abstract
{
    
    /**
     * Enter description here...
     *
     * @param Zend_View $view
     * @param Webtatic_Form_Field_Abstract $field
     * @param Webtatic_Form_Data $data
     * @return unknown
     */
    public function render($view, $field, $label = null)
    {
        $attributes = array(
            'for' => $field->getId(),        
        );
        
        if ($field->getRequired()){
            $attributes['class'] = 'required';
        }
        
        if ($label === null) {
            $label = $field->getLabel();
        }
        
        $value = $field->getRawValue();
        
        return '<label '.$this->_renderAttributes($view, $attributes).'>'.$view->escape($label).'</label>';
    }

}
?>