<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Element/Abstract.php';

class Webtatic_Form_Element_Select extends Webtatic_Form_Element_Abstract
{
    /**
     * Enter description here...
     *
     * @param Zend_View $view
     * @param Webtatic_Form_Field_Abstract $field
     * @param Webtatic_Form_Data $data
     * @return unknown
     */
    public function render($view, $field, $filterOptions = null)
    {
        $attributes = array(
            'id' => $field->getId(),
            'name' => $field->getFullName(),
        ) + $field->getAttributes();
        
        $value = $field->getRawValue();
        
        $element = $this->getForm()->getElement('select');
        
        $options = $field->getValueOptions($filterOptions);
        if ($field->getDefault() !== null && !array_key_exists($field->getDefault(), $options)) {
            $options = array('' => $field->getDefault()) + $options;
        }
        
        if ($field->getMultiple()) {
            $attributes['multiple'] = 'multiple';
        }
                        
        $output .= '<select '.$this->_renderAttributes($view, $attributes).'>'."\n";
        if (is_array($options)) {    
            foreach ($options AS $key => $option) {
                $selected = false;
                if ((isset($attributes['multiple']) && is_array($value) && in_array($key, $value)) || $key == $value) {
                    $selected = true;
                }
                $output .= "\t".'<option value="'.$view->escape($key).'"'.($selected === true ? ' selected="selected"' : null).'>'.$view->escape($option).'</option>'."\n";
            }
        }
        return $output.'</select>'."\n";
        
    }
}
?>