<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Element/Abstract.php';

class Webtatic_Form_Element_Submit extends Webtatic_Form_Element_Abstract
{
    /**
     * Enter description here...
     *
     * @param Zend_View $view
     * @param Webtatic_Form_Field_Abstract $field
     * @param Webtatic_Form_Data $data
     * @return unknown
     */
    public function render($view, $field, $filterOptions = null)
    {
        $id = $field->getId();
        $attributes = array(
            'type' => 'submit',
            'name' => $field->getFullName(),
        ) + $field->getAttributes();

        $name = $field->getFullName();
        $value = $field->getRawValue();
        
        $options = $field->getValueOptions($filterOptions);

        $output = '<ul class="list">';
        foreach ($options as $key => $option) {
            $idItem = $id . '_' . $key;

            $attributesItem = $attributes;
            $attributesItem['name'] .= '[' . $key . ']';
            $attributesItem['id'] = $idItem;
            $attributesItem['value'] = $option;

            if ($filterOptions == null || is_array($filterOptions)) {
                $output .= '<li><input '.$this->_renderAttributes($view, $attributesItem)." /></li>\n";
            } else {
                $output = '<input '.$this->_renderAttributes($view, $attributesItem)." />\n";
                return $output;
            }
        }

        return $output . '</ul>';
    }
}
?>