<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Field.php';

class Webtatic_Form_Field_Date extends Webtatic_Form_Field
{
    protected $_min = null;
    protected $_max = null;
    protected $_format = array('Y-m-d' => 'Y-m-d');
    protected $_defaultElement = 'date';
    
    public function getMin()
    {
        return $this->_min;
    }
    
    public function setMin($value)
    {
        $this->_min = $value;
        
        return $this;
    }
    
    public function getMax()
    {
        return $this->_max;
    }
    
    public function setMax($value)
    {
        $this->_max = $value;
        
        return $this;
    }
    
    public function getFormat()
    {
        return $this->_format;
    }
    
    public function setFormat($value)
    {
        $this->_format = $value;
    }
    
    protected function _preProcess()
    {
        parent::_preProcess();
        $this->_rule->addFilter(array('date', 'format' => array_keys((array) $this->_format)));
        $this->_rule->addValidator(array('date',
            'min' => $this->_min,
            'max' => $this->_max,
            'format' => join(' ', array_values((array) $this->_format)),
        ));
    }
}
?>