<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form.php';
require_once 'Webtatic/Form/Field/Interface.php';

class Webtatic_Form_Field_Storage implements Webtatic_Form_Field_Interface
{
    protected $_name;
    protected $_storage;
    
    public function __construct($form, $form, $name, $options)
    {
        $this->_name = $name;
    }
    
    public function getLabel()
    {
        return '';
    }
    
    public function setLabel($value)
    {
        throw new Exception('Not Implemented');
    }
    
    public function setValue($value)
    {
        $this->_storage = unserialize($value);
        
        return $this;
    }
    
    public function getValue()
    {
        return serialize($this->_storage);
    }
    
    public function setStorage($step, $value)
    {
        $this->_storage[$step] = $value;
        
        return $this;
    }
    
    public function getStorage()
    {
        return $this->_storage;
    }
    
    public function render($view)
    {
        $value = $this->getValue();
        
        return '<input type="hidden"
            name="'.$view->escape($this->_name).'"
            value="'.$view->escape($value).'/>';
    }
}
