<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

class Webtatic_Form_Filter_Date
{
    protected $_format;

    public function getFormat()
    {
        return $this->_format;
    }
    
    public function setFormat($value)
    {
        $this->_format = $value;
        
        return $this;
    }
    
    protected $_defaults = array(
        'd' => 1,
        'm' => 1
    );
    
    public function filter($value)
    {
        if (!is_array($value)) {
            $value = array(current($this->_format) => $value);
        }
        
        foreach ($value as $f => $v) {
            $fs = preg_split('/[-:\s]/', $f);
            $vs = preg_split('/[-:\s]/', $v);
            foreach ($fs as $k => $fss) {
                $date[$fss] = $vs[$k];
            }
        }
        
        foreach ($this->_defaults as $f => $default) {
            if (!array_key_exists($f, $date)) {
                $date[$f] = $default;
            }
        }
        
        if ($date['T']) {
            $originalTimezone = date_default_timezone_get();
            date_default_timezone_set($date['T']);
        }
        
        $time = null;
        if (is_numeric($date['m']) && is_numeric($date['d']) && is_numeric($date['Y']) &&
            checkdate($date['m'], $date['d'], $date['Y']) && 
            $date['H'] >= 0 && $date['H'] < 24 && 
            $date['i'] >= 0 && $date['i'] < 60 && 
            $date['s'] >= 0 && $date['s'] < 60) {
            $time = mktime($date['H'], $date['i'], $date['s'], $date['m'], $date['d'], $date['Y']);
        }
        
        if ($originalTimezone) {
            date_default_timezone_set($originalTimezone);
        }
        return $time;
    }
}
?>