<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Validate/Abstract.php';

class Webtatic_Form_Filter_DbLookup
{
    protected $_statement = null;
    protected $_adapter = null;
    
    public function setStatement($value)
    {
        $this->_statement = $value;
        return $this;
    }
    
    public function setAdapter($value)
    {
        $this->_adapter = $this;
        
        return $this;
    }
    
    public function filter($value)
    {
        if ($this->_statement instanceof Webtatic_Db_Table_Select) {
            $row = $this->_statement->fetchRow($value);
        } else {
            $row = $this->_adapter->fetchRow($this->_statement, $value);
        }
        
        return $row;
    }
}
?>