<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

class Webtatic_Form_Filter_Postcode
{
    /**
     * Regex used to reformat postcode
     * @access protected
     * @var string 
     */
    protected $_regex = '/^([A-PR-UWYZ][A-HK-Y0-9][AEHMNPRTVXY0-9]?[ABEHMNPRVWXY0-9]? {0,2})?([0-9][ABD-HJLN-UW-Z]{2}|GIR 0AA)$/i';
    
    
    public function filter($postcode)
    {
        if (preg_match($this->_regex, trim(strtoupper(str_replace(' ', '', $postcode))), $parts)) {
            return ($parts[1] ? trim($parts[1]).' ' : '').trim($parts[2]);
        }
        return $postcode;
    }
}
