<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

class Webtatic_Form_Filter_Regex
{
    protected $_patterns;
    protected $_replacements;

    public function getPatterns()
    {
        return $this->_patterns;
    }
    
    public function setPatterns($value)
    {
        $this->_patterns = (array) $value;
        
        return $this;
    }
    
    public function getReplacements()
    {
        return $this->_replacements;
    }
    
    public function setReplacements($value)
    {
        $this->_replacements = (array) $value;
        
        return $this; 
    }
    
    public function getConfig()
    {
        return array_combine($this->_patterns, $this->_replacements);
    }
    
    public function setConfig($config)
    {
        $this->setPatterns(array_keys($config));
        $this->setReplacements(array_values($config));
        
        return $this;
    }
    
    public function filter($value)
    {
        return preg_replace($this->_patterns, $this->replacements, $value);
    }
}
?>