<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Validate/Range.php';

class Webtatic_Form_Validate_Date extends Webtatic_Form_Validate_Range
{
    
    public $_break = true;
    
    public function __construct($options = array())
    {
        parent::__construct($options);
        
        $this->_messageTemplates = array(
            'minExclusive' => '<b>%label%</b> cannot be before %minDate%',
            'maxExclusive' => '<b>%label%</b> cannot be after %maxDate%',
        );
    }
    
    public function isValid($value)
    {
        if (isset($this->_options['min']) && ($value < $this->_options['min'])) {
            $this->_error('minExclusive', $value, array('minDate' => date($this->_options['format'], $this->_options['min'])));
        }
        
        if (isset($this->_options['max']) && ($value > $this->_options['max'])) {
            $this->_error('maxExclusive', $value, array('maxDate' => date($this->_options['format'], $this->_options['max'])));
        }
        
        if (count($this->_errors) > 0) {
            return false;
        }
        return true;
    }
}
?>