<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Validate/Abstract.php';

class Webtatic_Form_Validate_DbLookup extends Webtatic_Form_Validate_Abstract
{
    protected $_options = array(
        'match' => true,
    );
    
    protected $_messageTemplates = array(
        'exists' => '<b>%label%</b> already exists',
        'notExists' => '<b>%label%</b> does not exist',
    );
    
    public function isValid($value)
    {
        if ($this->getOption('statement') instanceof Webtatic_Db_Table_Select) {
            $row = $this->getOption('statement')->fetchRow($value);
        } else {
            $row = $this->getOption('adapter')->fetchRow($this->getOption('statement'), $value);
        }
        
        if ($this->getOption('match') && $row === null) {
            $this->_error('notExists', $value);
            return false;
        } else if (!$this->getOption('match') && $row !== null) {
            $this->_error('exists', $value);
            return false;
        }
        
        return true;
    }
}
?>