<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Validate/Abstract.php';

class Webtatic_Form_Validate_InArray extends Webtatic_Form_Validate_Abstract
{
    protected $_messageTemplates = array(
        'notInArrayField' => '<b>%label%</b> does not match',
    );

    public function isValid($value)
    {
        $values = func_get_args();
        $options = (array) $this->getOption('options');
        $strict = $this->getOption('strict') ? true : false;
        foreach ($values as $oValue) {
            if (!in_array($oValue, $options, $strict)) {
                $this->_error('notInArrayField', $oValue);
                return false;
            }
        }
        
        return true;
    }
    
}
?>