<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Validate/Range.php';

class Webtatic_Form_Validate_Int extends Webtatic_Form_Validate_Range
{
    public $_break = true;

    public function __construct($options = array())
    {
        parent::__construct($options);
        
        $this->_messageTemplates += array(
            'number' => '<b>%label%</b> must be numeric',
        );
    }

    public function isValid($value)
    {
        if (strval(intval($value)) != $value) {
            $this->_error('number', $value);
            return false;
        }
        return true;
    }
}
?>