<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Validate/Abstract.php';

class Webtatic_Form_Validate_NotEmpty extends Webtatic_Form_Validate_Abstract
{
    protected $_messageTemplates = array(
        'empty' => 'We need your <b>%label%</b>',
    );

    public function isValid($value)
    {
        $values = func_get_args();
        foreach ($values as $value) {
            if ((!is_string($value) && empty($value)) || (is_string($value) && $value == '')) {
                $this->_error('empty', $value);
                return false;
            }
        }
        return true;
    }
}
?>