<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Validate/Abstract.php';

class Webtatic_Form_Validate_String extends Webtatic_Form_Validate_Abstract
{
    public $_break = true;
    
    protected $_messageTemplates = array(
        'min' => '<b>%label%</b> cannot be less than %min% characters',
        'max' => '<b>%label%</b> cannot exceed %max% characters'
    );
    
    public function isValid($value)
    {
        $length = strlen($value);
        
        if (isset($this->_options['min']) && ($length < $this->_options['min'])) {
            $this->_error('min', $value);
        }
        
        if (isset($this->_options['max']) && ($length > $this->_options['max'])) {
            $this->_error('max', $value);
        }
        
        if (count($this->_errors) > 0) {
            return false;
        }
        return true;
    }
}
?>