<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

require_once 'Webtatic/Form/Validate/Abstract.php';
require_once 'Zend/Loader.php';

class Webtatic_Form_Validate_Zend extends Webtatic_Form_Validate_Abstract
{
    protected $_validator = null;
    
    protected $_messageTemplates = array(
        'error' => 'zend fail',
    );
    
    public function setValidator($value)
    {
        if (is_object($value)) {
            $this->_validator = $value;
        } else {
            $args = array();
    
            if (is_array($value)) {
                $args = $value;
                $value = array_shift($args);
            }
            
            Zend_Loader::loadClass($value);
            
            $class = new ReflectionClass($value);
            
            if ($class->hasMethod('__construct')) {
                $this->_validator = $class->newInstanceArgs($args);
            } else {
                $this->_validator = $class->newInstance();
            }
        }
    }

    public function isValid($value)
    {
        if (!$this->_validator->isValid()) {
            $this->_error('error', $value);
            return false;
        }
        return true;
    }
}
?>