<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Net
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

class Webtatic_Ip
{
    static function getFirstPublic($xForwardedFor = null, $remoteAddr = null)
    {
        if ($xForwardedFor == null) {
            $xForwardedFor = $_SERVER['HTTP_X_FORWARDED_FOR'];
        }
        if ($xForwardedFor) {
            $ips = explode(', ', $xForwardedFor);
            foreach ($ips as $ip) {
                if (($iplong = ip2long($ip)) !== FALSE) {
                    if (($iplong >> 24) != 127 &&
                        ($iplong >> 24) != 10 &&
                        ($iplong >> 16) != 49128 &&
                        ($iplong >> 20) != -1343) {
                        return $ip;
                    }
                }
            }
        }
        if ($remoteAddr) {
            return $remoteAddr;
        } else {
            return $_SERVER['REMOTE_ADDR'];
        }
    }
}
?>