<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Config
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

class Webtatic_Parser_Replace
{
    protected $_params;
    protected $_callback;
    
    protected function __construct($params, $callback)
    {
        $this->_params = $params;
        $this->_callback = $callback;
    }
    
    public function replaceCallback($matches)
    {
        return @call_user_func($this->_callback, $matches, $this->_params);
    }
    
    public static function replace($regex, $callback, $subject, $params = null)
    {
        $replacer = new self($params, $callback);
        return preg_replace_callback($regex, array($replacer, 'replaceCallback'), $subject);
    }
}
?>